Описание тега dependencies

В Ubuntu большинство приложений имеют зависимости, программы, от которых они зависят, чтобы работать правильно. Это означает, что для установки пакета иногда требуется установка других пакетов, а удаление пакетов приведет к тому, что APT удалит другие пакеты, чтобы предотвратить их поломку. Используйте этот тег при запросе об управлении и разрешении зависимостей
1 ответ

Пытался установить wine на 14.04, попытался удалить все связанные с вином, но все равно не радость

После многих проблем с зависимостями решили удалить все пакеты, относящиеся к Wine, из synaptic. Недавно обновлен с 12.04 до 14.04. Не понимаю, что происходит. Получить зависит Wine1.6-i386, когда я пытаюсь установить, что получить зависимости CMSLI…
28 авг '14 в 14:35
1 ответ

Ошибка установки Ubuntu-Desktop на 14.04

Я пытаюсь установить Ubuntu-Desktop на 14.04, но когда я запускаю apt-get install ubuntu-desktop это дает ошибку: Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable di…
28 авг '14 в 16:48
0 ответов

"Зависит: ___, но ___-saucy должен быть установлен", введите поврежденные зависимости после обновления Trusty

Установщик выдал ошибку в конце обновления 14.04 Trusty. Unity-Control-Center не установлен, и при попытке установить его, у меня теперь есть цепочка сломанных зависимостей, которые, пройдя несколько зависимостей, заканчиваются сообщениями, похожими…
29 авг '14 в 10:02
2 ответа

Обновление Ubuntu, Unmet зависимости

При попытке открыть Центр программного обеспечения Ubuntu получаю это: This error could be caused by required additional software packages which are missing or not installable. Furthermore there could be a conflict between software packages which ar…
3 ответа

Как установить необходимые пакеты Qt для сборки ядра на 14.04?

Я собираюсь скомпилировать ядро ​​на 64-битной Ubuntu 14.04, поэтому я начну с установки пакетов, которые мне нужны: sudo apt-get install build-essential bin86 kernel-package libqt3-headers libqt3-mt-dev wget libncurses5 libncurses5-dev qt4-dev-tool…
1 ответ

Как я могу вручную удалить Wine

Я установил Wine на мой компьютер на днях, но кажется, что он инсталлирован правильно. хотя я могу открывать файлы.exe с помощью загрузчика программ Wine Windows, wine не отображается ни в единстве, ни в программном центре Ubuntu. Я пытался удалить …
09 авг '16 в 16:01
1 ответ

Установка ffmpeg, kubuntu утопический единорог

Я не нашел утопических репозиториев Unicorn ffmeg, поэтому я пытаюсь установить его с https://launchpad.net/~jon-severinsson/+archive/ffmpeg, изменив версию с утопической на доверенную в / etc / apt / sources.список. Однако, когда я делаю это, я пол…
0 ответов

Как мне разрешить эти неудовлетворенные зависимости?

Открытие программного центра Ubuntu приводит к ошибке, которая говорит: Items cannot be installed or removed until the package catalog is repaired. Do you want to repair it now? После нажатия кнопки "Восстановить" возвращается следующая ошибка: Pack…
23 сен '14 в 06:59
1 ответ

Как устранить неудовлетворенные зависимости, вызванные конфликтом между Open Office и LibreOffice? Обновление программного обеспечения не работает и не будет обновляться

Недавно я удалил LibreOffice для установки OpenOffice и не испытывал проблем с использованием Open Office. Позже я установил программу предварительного просмотра файлов, известную как Суши. При попытке просмотра файлов.odp Суши заявил, что для предв…
2 ответа

Проблема при установке индикатора Synapse?

Я успешно установил Ubuntu 14.04 в своей системе. Я пытаюсь установить индикатор Synapse, но мне не удалось это сделать. Я использую эту ссылку для установки Source Link Я завершил процесс ppa & update, но получил ошибку при установке индикатора. Во…
14 окт '14 в 12:12
1 ответ

Приложения KDE перестали загружаться, сославшись на отсутствующий libQtSvg

Вчера (и в предыдущие месяцы) я вполне мог использовать Konsole. Я специально не изменил ничего с тех пор. Однако сегодня он не загружается: [11:06]~$ konsole konsole: error while loading shared libraries: libQtSvg.so.4: cannot open shared object fi…
23 окт '14 в 10:16
1 ответ

Как я могу исправить проблемы с зависимостями в Ubuntu 16.04?

Я пытаюсь установить Ring и столкнулся с проблемами зависимости. Я понятия не имею, как это исправить. Есть ли у вас какие-либо идеи о том, как подойти к этой проблеме? Я пытался sudo apt-get update, sudo apt-get autoremove а также sudo apt-get -f i…
13 май '16 в 12:52
1 ответ

Ошибка при установке программного обеспечения

Я установил Ubuntu 16.04 LTS, и когда я хочу установить любое программное обеспечение, я сталкиваюсь с этой ошибкой: sudo apt-get install openjdk-7-jre openjdk-6-jre [sudo] password for ali: Reading package lists... Done Building dependency tree Rea…
03 июн '16 в 19:49
1 ответ

Внимание к неудовлетворенным зависимостям

При установке сервера openssh с помощью следующей команды: sudo apt-get install openssh-server Я получаю следующую ошибку: Reading package lists... Done Building dependency tree Reading state information... Done You might want to run 'apt-get -f ins…
29 окт '14 в 11:43
0 ответов

Возникли проблемы при установке DeSmuME из Центра программного обеспечения

Я попытался установить DeSmuME на 14.04.2 LTS. Но я продолжаю получать эту ошибку: "Зависимости пакетов не могут быть разрешены..." Как я могу это исправить и установить DeSmuME?
2 ответа

Неудовлетворенные зависимости - как исправить

У меня установлена ​​Ubuntu 13.10, и некоторые из них я должен удалить некоторые пакеты или репозитории, поэтому есть некоторые пакеты, которые просто не хотят устанавливать. А именно, это: SKYPE sudo apt-get install skype-bin The following packages…
31 окт '14 в 11:47
3 ответа

Удаление зависимостей. Это хорошая практика?

Насколько я знаю, я могу удалить программу из Ubuntu с помощью этой команды... $ sudo dpkg -r packagename Но это не устраняет зависимости, пока packagename установлены. Чтобы удалить все файлы, включая зависимости, нам нужно применить эту команду...…
10 май '15 в 17:42
1 ответ

Неудовлетворенные зависимости. Попробуйте 'apt-get -f install' без пакетов (или укажите решение)

Здравствуйте, у меня есть такая проблема.. Я пытался установить рабочий стол Kubuntu Plasma, но как-то не получилось во время установки. Теперь я не могу использовать apt-get. Можете ли вы, ребята, как-нибудь мне помочь? благодарю вас. > You migh…
06 окт '16 в 13:42
1 ответ

Как разрешить зависимость локалей от 12.04

sudo apt-get check Reading package lists... Done Building dependency tree Reading state information... Done You might want to run 'apt-get -f install' to correct these. The following packages have unmet dependencies: libc6 : Breaks: locales (< 2.…
06 ноя '14 в 06:38
4 ответа

Как выполнить зависит от требований для libldap-2.4-2

Я пытаюсь установить пакет libldap2-dev. sudo apt-get install libldap2-dev Я получаю следующую ошибку: Reading package lists... Done Building dependency tree Reading state information... Done Some packages could not be installed. This may mean that …